#	$NetBSD: Makefile.xkbcomp,v 1.2 2003/11/08 13:57:29 lukem Exp $

XKBDISTDIR=	${X11SRCDIR.xc}/programs/xkbcomp/${XKBNAME}

.PATH:		${XKBDISTDIR}

FILESDIR=	${X11LIBDIR}/xkb/${XKBNAME}


.if defined(XKBDIR)							# {
FILES+=			${XKBNAME}.dir
FILESDIR_${XKBNAME}.dir=${X11LIBDIR}/xkb
CLEANFILES+=		${XKBNAME}.dir

.include "${NETBSDSRCDIR}/x11/tools/xkbcomp/Makefile.xkbcomp"

${XKBNAME}.dir:
	${_MKTARGET_CREATE}
	rm -f ${.TARGET}
	(cd ${XKBDISTDIR} && ${XKBCOMP} -lfhlpR -o ${.OBJDIR}/${.TARGET} '*')

realall: ${FILES}

.endif									# }
